#pragma once

#include <LiquidCrystal.h>
#include <JC_Button.h>
#include <OneWire.h>
#include <DallasTemperature.h>
#include "Boiler.h"
#include "Storage.h"
#include "IInput.h"
#include "ILifeCycle.h"
#include "IActivity.h"

class AppCore
        : public ILifeCycle
{
public:
    void begin() override;

    void loop() override;

    void setActivity(IActivity* activity);
};
