#pragma once

#include <stdint.h>
#include "BaseActivity.h"
#include "Boiler.h"

class BoilerTankModeEditorActivity
        : public BaseActivity
{
public:
    explicit BoilerTankModeEditorActivity(
            IActivity* mParentActivity
            , IActivity* mPreviousActivity
            , IActivity* mNextActivity
            , const char* line1
            , BoilerTankState::Mode* value
    );

    void begin() override;

protected:
    void getLcdText(char** lines) override;

    void onButtonReleased(Button button) override;

    const char* m_line1;
    BoilerTankState::Mode* m_value;
    BoilerTankState::Mode m_tmpValue;
    bool m_isEditMode;
};
