#include "DigitalOutput.h"
#include <Arduino.h>

DigitalOutput::DigitalOutput(uint8_t mPin)
        : m_pin(mPin)
{
}

void DigitalOutput::begin()
{
    pinMode(m_pin, OUTPUT);
}

void DigitalOutput::setEnabled(bool enabled)
{
    digitalWrite(m_pin, enabled ? HIGH : LOW);
}

bool DigitalOutput::isEnabled() const
{
    return digitalRead(m_pin);
}
