#include "MenuItemActivity.h"
#include "globals.h"
#include "Helpers.h"

MenuItemActivity::MenuItemActivity(
        IActivity* mParentActivity
        , IActivity* mChildActivity
        , IActivity* mPreviousActivity
        , IActivity* mNextActivity
        , const char* line1
        , const char* line2
)
        : BaseActivity(mParentActivity, mChildActivity, mPreviousActivity, mNextActivity)
          , m_line1(line1)
          , m_line2(line2)
{
}

void MenuItemActivity::getLcdText(char** lines)
{
    Helpers::center(lines[0], m_line1, 16, ' ');
    strncpy(lines[1], m_line2, 16);
}
