#pragma once

#include <JC_Button.h>
#include <LiquidCrystal.h>
#include <OneWire.h>
#include <DallasTemperature.h>
#include "AppCore.h"
#include "HibernateService.h"
#include "DigitalOutput.h"
#include "Storage.h"
#include "HomeActivity.h"
#include "MenuItemActivity.h"
#include "BoilerTankMenuActivity.h"
#include "TempInput.h"
#include "BoilerTankService.h"

extern AppCore g_appCore;
extern AppCoreState g_appState;
extern Storage g_storage;
extern Button g_btnCancel;
extern Button g_btnOk;
extern Button g_btnMinus;
extern Button g_btnPlus;
extern HibernateService g_hibernateService;
extern LiquidCrystal g_lcd;
extern DigitalOutput g_lcdLed;
extern OneWire g_oneWire;
extern DallasTemperature g_dallasTemperature;
extern BoilerTankService g_tankService1;
extern BoilerTankService g_tankService2;

extern HomeActivity g_homeActivity;
extern BoilerTankMenuActivity g_menuWaterActivity;
extern BoilerTankMenuActivity g_menuHeaterActivity;
extern MenuItemActivity g_menuVersionActivity;
