#pragma once

#include "stdint.h"

using temp_t = short;
#define TEMP_T_INVALID -127
using timestamp_t = unsigned long;

class TempInput;

class DigitalOutput;

struct BoilerTankState
{
    enum Mode
    {
        Auto,
        On,
        Off
    };

    Mode mode;
    temp_t setting;
    temp_t tempTrigger;
//    uint8_t sensorAddress[8];
    TempInput* input;
    DigitalOutput* relay;
};

struct AppCoreState
{
    BoilerTankState tanks[2];
};
