#include "BoilerTankMenuActivity.h"

BoilerTankMenuActivity::BoilerTankMenuActivity(
        IActivity* mParentActivity
        , IActivity* mPreviousActivity
        , IActivity* mNextActivity
        , const char* line1
        , const char* line2
        , BoilerTankState* state
)
        : MenuItemActivity(mParentActivity, &m_tempSettingActivity, mPreviousActivity, mNextActivity, line1, line2)
          , m_tempSettingActivity(this, &m_modeSettingActivity, &m_triggerSettingActivity, "Temperature",
                                  &state->setting)
          , m_triggerSettingActivity(this, &m_tempSettingActivity, &m_modeSettingActivity, "Delta", &state->tempTrigger)
          , m_modeSettingActivity(this, &m_triggerSettingActivity, &m_tempSettingActivity, "Mode", &state->mode)
          , m_state(state)
{
}
