#pragma once

#include "MenuItemActivity.h"
#include "Boiler.h"
#include "TempEditorActivity.h"
#include "BoilerTankModeEditorActivity.h"

class BoilerTankMenuActivity
        : public MenuItemActivity
{
public:
    BoilerTankMenuActivity(
            IActivity* mParentActivity
            , IActivity* mPreviousActivity
            , IActivity* mNextActivity
            , const char* line1
            , const char* line2
            , BoilerTankState* state
    );

protected:
    TempEditorActivity m_tempSettingActivity;
    TempEditorActivity m_triggerSettingActivity;
    BoilerTankModeEditorActivity m_modeSettingActivity;
    BoilerTankState* m_state;
};
