#pragma once


#include <stdint.h>
#include "ILifeCycle.h"

class DigitalOutput
        : public ILifeCycle
{
public:
    explicit DigitalOutput(uint8_t mPin);

    void begin() override;

    void setEnabled(bool enabled);

    bool isEnabled() const;

protected:
    const uint8_t m_pin;
};


