#pragma once

#include "Boiler.h"
#include "IInput.h"

class TempInput
        : public IInput<temp_t>
{
public:
    explicit TempInput(uint8_t index);

    void begin() override;

    void loop() override;

protected:
    uint8_t m_address[8];
    uint8_t m_index;
    timestamp_t m_lastSensorRequestMs;
    bool m_hasReadSensor;
};


